> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Pos Device



## OpenAPI

````yaml get /admin/payment/register-pos-device
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/payment/register-pos-device:
    get:
      tags:
        - provider
        - admin
      summary: Register Pos Device
      operationId: register_pos_device_admin_payment_register_pos_device_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: device_id
          in: query
          required: true
          schema:
            type: string
            title: Device Id
        - name: device_name
          in: query
          required: true
          schema:
            type: string
            title: Device Name
        - name: location_id
          in: query
          required: true
          schema:
            type: string
            title: Location Id
        - name: merchant_account_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Merchant Account Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/POSDevice'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    POSDevice:
      properties:
        deviceRegistrationId:
          type: string
          title: Deviceregistrationid
        deviceName:
          type: string
          title: Devicename
        make:
          type: string
          title: Make
        model:
          type: string
          title: Model
        merchantAccountId:
          type: string
          title: Merchantaccountid
        locationId:
          type: string
          title: Locationid
      type: object
      required:
        - deviceRegistrationId
        - deviceName
        - make
        - model
        - merchantAccountId
        - locationId
      title: POSDevice
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````